---
title: Navigator.geolocation
slug: Web/API/Navigator/geolocation
tags:
  - API
  - Geolocation API
  - Navigator
  - Property
  - Reference
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <strong><code>Navigator.geolocation</code></strong> read-only property returns a {{domxref("Geolocation")}} object that gives Web content access to the location of the device. This allows a Web site or app to offer customized results based on the user's location.</p>

<div class="note">
<p><strong>Note:</strong> For security reasons, when a web page tries to access location information, the user is notified and asked to grant permission. Be aware that each browser has its own policies and methods for requesting this permission.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>geo</var> = <var>navigator</var>.geolocation
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#dom-navigator-geolocation', 'Navigator.geolocation')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.geolocation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using_the_Geolocation_API">Using the Geolocation API</a></li>
</ul>
